Subject: Re: bug#54785: for floating point, printf should use double like in C instead of long double

From: Andreas Schwab <[email-masked]>
Date: Wed, 27 Apr 2022 20:52:26 +0200

On Apr 27 2022, Paul Eggert wrote:

> Any proposal to change 'long double' to always output leading 0 or 1 needs
> to deal with the fact that this'd lengthen the output string.

The real reason for not using that format is that 64 bits can be
conveniently formatted without having to shift around the mantissa, and
having to handle the shifted out bits specially.  For IEEE quad with its
112 bits of mantissa and the hidden bit, this format is again more
convenient.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."